Subject: Re: libvirt-daemon-system should not depend on policykit-1

From: "Thierry B." <[email-masked]>
Date: Mon, 17 Aug 2020 14:23:45 +0200

Le 17/08/2020 à 11:16, Mark Hindley a écrit :

> 
> The fact that you are using --git-ignore-new and there are changelog parsing
> errors suggests you have some unchecked in changes.

> I would reset the working tree (or stash them if they might be useful), delete
> existing ./libvirt_6.5.0.orig.tar.gz and rebuild without --git-ignore-new.

> Once you have a clean tree `dpkg-parsechangelog` should not report any errors.
> 
> Hope that helps.
> 

Yes I removed them, did not changed anything.

Otherwise I decided to install the build environment on my real Devuan
testing computer to see if I have the same problem .... with even less
luck. The cowbuilder chroot creation fails and is stucked at "I:
Retrieving InRelease:":

> bp buildpackage --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged --git-verbose
> gbp:debug: ['git', 'rev-parse', '--show-cdup']
> gbp:debug: ['git', 'rev-parse', '--is-bare-repository']
> gbp:debug: ['git', 'rev-parse', '--git-dir']
> gbp:debug: /bin/true [] []
> gbp:debug: ['git', 'status', '--porcelain']
> gbp:debug: ['git', 'symbolic-ref', 'HEAD']
> gbp:debug: ['git', 'show-ref', 'refs/heads/suites/unstable']
> gbp:info: Building with (cowbuilder) for ceres
> gbp:debug: ['git', 'show-ref', '--verify', 'refs/heads/pristine-tar']
> gbp:debug: ['git', 'show-ref', '--verify', 'refs/remotes/origin/pristine-tar']
> gbp:info: Performing the build
> gbp:debug: git-pbuilder ['create', '--mirror', 'http://pkgmaster.devuan.org/merged'] []
> I: Invoking pbuilder
> I: forking: pbuilder create --buildplace /var/cache/pbuilder/base-ceres.cow --mirror http://pkgmaster.devuan.org/merged --distribution ceres --no-targz --extrapackages cowdancer
> W: /root/.pbuilderrc does not exist
> I: Running in no-targz mode
> W: cgroups are not available on the host, not using them.
> I: Distribution is ceres.
> I: Current time: Mon Aug 17 13:38:41 CEST 2020
> I: pbuilder-time-stamp: 1597664321
> I: Building the build environment
> I: running debootstrap
> /usr/sbin/debootstrap
> I: Target architecture can be executed
> I: Retrieving InRelease 

and the '/var/cache/pbuilder/base-ceres.cow/debootstrap/debootstrap.log'
is filled with:

> amd64: ok
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.

... but this is another story...

By the way if you want to see by yourself I am ready for a Anydesk
session ....